Sinatra 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1186124 漏洞类型 跨站脚本
发布时间 2018-06-01 更新时间 2018-06-01
CVE编号 CVE-2018-11627 CNNVD-ID CNNVD-201805-1210
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1210
|漏洞详情
Sinatra是一种基于Ruby的用于创建Web应用程序的域专用语言。 Sinatra 2.0.2之前版本中存在跨站脚本漏洞。远程攻击可借助400 Bad Request页面利用该漏洞注入任意的Web脚本或HTML。
|参考资料
resource:
hyperlink:https://github.com/sinatra/sinatra/commit/12786867d6faaceaec62c7c2cb5b0e2dc074d71a
resource:
hyperlink:https://github.com/sinatra/sinatra/issues/1428